

const express = require("express")
const router = express.Router();
const productionController = require("../../controllers/production/productionController")
const authenticate = require("../../middlewares/authenticate");



router.post("/create-production",authenticate, (req,res) =>{
  productionController.createProduction(req,res);
});

router.get("/get-productions",authenticate, (req,res) =>{
  productionController.getProductions(req,res);
});

router.delete("/delete-production/:id",
  authenticate,
 (req,res) =>{
  productionController.deleteProduction(req,res);
});


router.put("/update-production/:id",
  authenticate,
  (req,res) =>{
  productionController.updateProduction(req,res);
});

module.exports = router;